
Name:    pinentry
Version: 0.7.3
Release: 3%{?dist}
Summary: Collection of simple PIN or passphrase entry dialogs

Group:   Applications/System
License: GPLv2+
URL:     http://www.gnupg.org/aegypten/
Source0: ftp://ftp.gnupg.org/gcrypt/pinentry/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnupg.org/gcrypt/pinentry/%{name}-%{version}.tar.gz.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: pinentry-info.patch

BuildRequires:  gtk2-devel
BuildRequires:  qt-devel
BuildRequires:  ncurses-devel

Requires(post): %{_sbindir}/update-alternatives
Requires(post): /sbin/install-info
Requires(postun): %{_sbindir}/update-alternatives
Requires(postun): /sbin/install-info

Provides: %{name}-curses = %{version}-%{release}

%description
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the curses (text) based version of the PIN entry dialog.

%package gtk
Summary: Passphrase/PIN entry dialog based on GTK+
Group:   Applications/System
Requires: %{name} = %{version}-%{release}
Provides: %{name}-gui = %{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
%description gtk
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the GTK+ GUI based version of the PIN entry dialog.

%package qt
Summary: Passphrase/PIN entry dialog based on Qt
Group:   Applications/System
Requires: %{name} = %{version}-%{release}
Provides: %{name}-gui = %{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
%description qt
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the Qt GUI based version of the PIN entry dialog.


%prep
%setup -q

%patch0 -p1

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-dependency-tracking \
  --disable-pinentry-gtk

make %{?_smp_mflags}

for FILE in AUTHORS ChangeLog doc/pinentry.info
do
  mv "$FILE" "$FILE.iso"
  iconv -f 'ISO-8859-2' -t 'UTF-8' "$FILE.iso" >"$FILE"
  rm "$FILE.iso"
done

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Backwards compatibility
ln -s pinentry-gtk-2 $RPM_BUILD_ROOT%{_bindir}/pinentry-gtk

# Dummy symlink for %%ghost
ln -sf %{_sysconfdir}/alternatives/pinentry $RPM_BUILD_ROOT%{_bindir}/pinentry

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/pinentry.info %{_infodir}/dir || :
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_bindir}/pinentry \
    pinentry %{_bindir}/pinentry-curses 10
fi

%post gtk
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_bindir}/pinentry \
    pinentry %{_bindir}/pinentry-gtk 40
fi

%post qt
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_bindir}/pinentry \
    pinentry %{_bindir}/pinentry-qt 30
fi

%preun
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/pinentry.info %{_infodir}/dir || :
  %{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-curses
fi

%preun gtk
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-gtk
fi

%preun qt
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/pinentry-curses
%ghost %{_bindir}/pinentry
%{_infodir}/pinentry.info*

%files gtk
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/pinentry-gtk
%{_bindir}/pinentry-gtk-2
%ghost %{_bindir}/pinentry

%files qt
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/pinentry-qt
%ghost %{_bindir}/pinentry


%changelog
* Tue Feb 03 2009 Peter Vrabec <pvrabec@redhat.com> - 0.7.3-3
- fix source url
- move postun to preun, mainly because of install-info
- add pinentry-gtk-2 entry into gtk files section

* Thu Jan 29 2009 Peter Vrabec <pvrabec@redhat.com> - 0.7.3-2
- fix encoding and documentation issues

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0.7.3-1
- pinentry-0.7.3
- License: GPLv2+

* Mon Dec 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 0.7.2-14
- -14 respin (to help retire ATrpms pinentry pkg)

* Mon Aug 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 0.7.2-3
- fc6 respin

* Wed Aug 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 0.7.2-2
- fc6 respin

* Wed Mar 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 
- fc5: gcc/glibc respin

* Tue Oct 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-1
- 0.7.2, docs patch applied upstream.
- Switch to GTK2 in -gtk.
- Fine tune dependencies.
- Build with dependency tracking disabled.
- Clean up obsolete pre-FC2 support.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.7.1-4
- rebuilt

* Wed Jun 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.3
- BuildRequires qt-devel >= 3.2.

* Sat May 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.2
- Spec cleanups.

* Sat Apr 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.1
- Update to 0.7.1.

* Fri Dec 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.1
- Update to 0.7.0.
- Split GTK+ and QT dialogs into subpackages.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.9-0.fdr.1
- Update to 0.6.9.
- Smoother experience with --excludedocs.
- Don't change alternative priorities on upgrade.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.8-0.fdr.1
- Update to current Fedora guidelines.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 0.6.8-1.fedora.3
- info/dir temporary workaround

* Sat Feb  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.6.8-1.fedora.1
- First Fedora release.
